/* ----------------------------------------------------------------------------
 *
 *  File Name: 		global.h
 *
 *  Description: 	This header file contains global definitions 
 *					(constants, structures etc.)
 *
 *  Revision history:
 *  Release		MM/DD/YY	Author		Reason
 *  0.0.1		10/20/06	V.Loginov	First version
 *
 *  Copyright (C) 2005 Maxim Integrated Products, USA
 *
 *  The Copyright to the computer program herein is the property of
 *  Maxim Integrated Products, USA. The program may be used and/or copied
 *  only with the written permission from Maxim Integrated Products, USA
 *  or in accordance with the terms and conditions stipulated in the
 *  agreement Contract under which the program have been supplied.
 *  Use of copyright notice is precautionary only and does not imply
 *  publication or disclosure.
 *
 * ----------------------------------------------------------------------------
 */
#ifndef _GLOBAL_H_
#define _GLOBAL_H_

#define INT32     long           /*  32 bit signed integer */
#define UINT32    unsigned long  /*  32 bit unsigned integer */
#define INT16     short          /*  16 bit signed integer */
#define UINT16    unsigned short /*  16 bit unsigned integer */
#define INT8      signed char    /*  8 bit signed character */
#define UINT8     char           /*  8 bit unsigned character */

#define	TRUE	1
#define	FALSE	0

#define	IDLE_MEDIA	0
#define	BUSY_MEDIA	1


#endif
